# CoverageReportTransformer

Transform a Phing/Xdebug code coverage xml report.

The default transformation generates an html report in framed style.

author | Michiel Rook mrook@php.net
version | $Id: d3a5fbec986f8d4d1fde4875192fb243c82f1e68 $
package | phing.tasks.ext.coverage
since | 2.1.0

### Methods

## __construct

    __construct(\Task $task)

### Arguments

#### $task

`\Task`

## getStyleSheet

    getStyleSheet() : \PhingFile

throws |

### Response

`\PhingFile`

## setStyleDir

    setStyleDir( $styleDir)

### Arguments

#### $styleDir

``

## Setter for title parameter

    setTitle( $title)

### Arguments

#### $title

``

## setToDir

    setToDir(\PhingFile $toDir)

### Arguments

#### $toDir

`\PhingFile`

## Sets whether to use the sorttable JavaScript library, defaults to false See {@link http://www.kryogenix.org/code/browser/sorttable/)}

    setUseSortTable(boolean $useSortTable)

### Arguments

#### $useSortTable

`boolean`

## setXmlDocument

    setXmlDocument( $document)

### Arguments

#### $document

``

## transform

    transform()

### Properties

## task

    task :

### Type(s)

``

## styleDir

    styleDir :

### Type(s)

``

## toDir

    toDir : \PhingFile

var |

### Type(s)

`\PhingFile`

## document

    document :

### Type(s)

``

## title of the project, used in the coverage report

    title :

### Type(s)

``

## Whether to use the sorttable JavaScript library, defaults to false See {@link http://www.kryogenix.org/code/browser/sorttable/)}

    useSortTable : boolean

var |

### Type(s)

`boolean`